it.csi.mddtools.guigen

## Interface DialogPanel

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Panel

      public interface DialogPanel
      extends Panel

  A representation of the model object 'Dialog Panel'. Pagina utilizzabile per messaggi di feedback/conferme etc.

  The following features are supported:

  - `Commands`
  - `Msg Boxes`
  See Also:
    `GuigenPackage.getDialogPanel()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommandPanel` | `getCommands()` Returns the value of the 'Commands' containment reference
    `org.eclipse.emf.common.util.EList<MsgBoxPanel>` | `getMsgBoxes()` Returns the value of the 'Msg Boxes' containment reference list.
    `void` | `setCommands(CommandPanel value)` Sets the value of the '`Commands`' containment reference

    - ### Methods inherited from interface it.csi.mddtools.guigen.Panel

      `getLabel, getLayout, getLayoutSpec, getName, isScrollable, setLabel, setLayout, setLayoutSpec, setName, setScrollable`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getCommands

          CommandPanel getCommands()

      Returns the value of the 'Commands' containment reference.

      If the meaning of the 'Commands' containment reference isn't clear, there really should be more of a description here...

      I pulsanti associati al dialog.
      Returns:
        the value of the 'Commands' containment reference.
      See Also:
        `setCommands(CommandPanel)`, `GuigenPackage.getDialogPanel_Commands()`

    - #### setCommands

          void setCommands(CommandPanel value)

      Sets the value of the '`Commands`' containment reference.
      Parameters:
        `value` - the new value of the 'Commands' containment reference.
      See Also:
        `getCommands()`

    - #### getMsgBoxes

          org.eclipse.emf.common.util.EList<MsgBoxPanel> getMsgBoxes()

      Returns the value of the 'Msg Boxes' containment reference list. The list contents are of type `MsgBoxPanel`.

      If the meaning of the 'Msg Boxes' containment reference list isn't clear, there really should be more of a description here...

      I messaggi di feedback da visualizzare devono essere inseriti in uno o più MessageBoxPanel.
      Returns:
        the value of the 'Msg Boxes' containment reference list.
      See Also:
        `GuigenPackage.getDialogPanel_MsgBoxes()`